# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate tokio-core

Name:           rust-%{crate}
Version:        0.1.17
Release:        7%{?dist}
Summary:        Core I/O and event loop primitives for asynchronous I/O in Rust

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/tokio-core
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(bytes/default) >= 0.4.0 with crate(bytes/default) < 0.5.0)
BuildRequires:  (crate(futures/default) >= 0.1.21 with crate(futures/default) < 0.2.0)
BuildRequires:  (crate(iovec/default) >= 0.1.0 with crate(iovec/default) < 0.2.0)
BuildRequires:  (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0)
BuildRequires:  (crate(mio/default) >= 0.6.12 with crate(mio/default) < 0.7.0)
BuildRequires:  (crate(scoped-tls/default) >= 0.1.0 with crate(scoped-tls/default) < 0.2.0)
BuildRequires:  (crate(tokio-executor/default) >= 0.1.2 with crate(tokio-executor/default) < 0.2.0)
BuildRequires:  (crate(tokio-io/default) >= 0.1.0 with crate(tokio-io/default) < 0.2.0)
BuildRequires:  (crate(tokio-reactor/default) >= 0.1.1 with crate(tokio-reactor/default) < 0.2.0)
BuildRequires:  (crate(tokio-timer/default) >= 0.2.1 with crate(tokio-timer/default) < 0.3.0)
BuildRequires:  (crate(tokio/default) >= 0.1.5 with crate(tokio/default) < 0.2.0)
%if %{with check}
BuildRequires:  (crate(env_logger) >= 0.4.0 with crate(env_logger) < 0.5.0)
BuildRequires:  (crate(flate2/default) >= 1.0.0 with crate(flate2/default) < 2.0.0)
BuildRequires:  (crate(flate2/tokio) >= 1.0.0 with crate(flate2/tokio) < 2.0.0)
BuildRequires:  (crate(futures-cpupool/default) >= 0.1.0 with crate(futures-cpupool/default) < 0.2.0)
BuildRequires:  (crate(http/default) >= 0.1.0 with crate(http/default) < 0.2.0)
BuildRequires:  (crate(httparse/default) >= 1.0.0 with crate(httparse/default) < 2.0.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(num_cpus/default) >= 1.0.0 with crate(num_cpus/default) < 2.0.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
BuildRequires:  (crate(serde_derive/default) >= 1.0.0 with crate(serde_derive/default) < 2.0.0)
BuildRequires:  (crate(serde_json/default) >= 1.0.0 with crate(serde_json/default) < 2.0.0)
BuildRequires:  (crate(time/default) >= 0.1.0 with crate(time/default) < 0.2.0)
%endif

%global _description \
Core I/O and event loop primitives for asynchronous I/O in Rust. Foundation for\
the rest of the tokio crates.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/appveyor.yml

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

# error: use of deprecated item 'tokio::runtime::Runtime::reactor': there is now a reactor per worker thread
sed -i -e '/deny(warnings)/a #![allow(deprecated)]' src/lib.rs

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.1.17-7
- Allow deprecated warnings

* Fri Nov 09 2018 Josh Stone <jistone@redhat.com> - 0.1.17-6
- Adapt to new packaging

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-5
- Rebuild to trigger tests

* Sat Jul 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-4
- Rebuild to trigger tests

* Sat Jul 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-3
- Run tests in infrastructure

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-1
- Update to 0.1.17

* Fri Mar 23 2018 Josh Stone <jistone@redhat.com> - 0.1.16-1
- Update to 0.1.16

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.15-1
- Update to 0.1.15

* Fri Mar 09 2018 Josh Stone <jistone@redhat.com> - 0.1.12-3
- Use an explicit call to resolve tokio-io conflict

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.12-1
- Update to 0.1.12

* Fri Jun 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-1
- Initial package
